commit:     144c12ad8cb9f7a936fed11f5060494a6bc99bb5
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Mon Jul 11 09:14:47 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Jul 23 11:43:18 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=144c12ad

dev-python/jupyter_core: Version bump to 4.1.0; Bump to EAPI=6

Package-Manager: portage-2.2.26
Closes: https://github.com/gentoo/gentoo/pull/1870

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-python/jupyter_core/Manifest                  |  1 +
 dev-python/jupyter_core/jupyter_core-4.1.0.ebuild | 54 +++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/jupyter_core/Manifest b/dev-python/jupyter_core/Manifest
index e12c074..fece999 100644
--- a/dev-python/jupyter_core/Manifest
+++ b/dev-python/jupyter_core/Manifest
@@ -1 +1,2 @@
 DIST jupyter_core-4.0.6.tar.gz 55060 SHA256 
96a68a3b1d018ff7776270b26b7cb0cfd7a18a53ef2061421daff435707d198c SHA512 
e6d7a0293ce6cdd3202b354aae62900683eb0474590980bf3d9c6f89b4b16182e7caee0e42c3feb3de5851535a01394b20725d9428eb105dbc2c34d90e0d398b
 WHIRLPOOL 
c1370d386c63665db1a47f1df0e3942c713b4f9e71ad5a2bd8c83bcf1b5dfe937fdadcd606335a989514499b9e6446d92a0bb250b9e972181b12d0d9423ee80a
+DIST jupyter_core-4.1.0.tar.gz 56500 SHA256 
146af0679c33c56db4b85b785f3dacd933ffaca97e7d2d56ff577a5485c2bd13 SHA512 
863c4611093e914d92ac268d26e546842132d398d30f78c8440830a426da2923912b7da484ca3282a3f737300af316a305b8417cd1c35acd4a0ff93de1309d39
 WHIRLPOOL 
80427965a8394f1e86e0fc9a456eb3396cf37ed6e3c4362acb5998121d7b02c3242c3405871a2c25b71394716af039211a994fdbac5e833cc55c7beeb6e29d4e

diff --git a/dev-python/jupyter_core/jupyter_core-4.1.0.ebuild 
b/dev-python/jupyter_core/jupyter_core-4.1.0.ebuild
new file mode 100644
index 0000000..4b69ef6
--- /dev/null
+++ b/dev-python/jupyter_core/jupyter_core-4.1.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Core common functionality of Jupyter projects"
+HOMEPAGE="http://jupyter.org";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+       dev-python/traitlets[${PYTHON_USEDEP}]
+       "
+DEPEND="${RDEPEND}
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' 
python2_7)
+               >=dev-python/ipython-4.0.1[${PYTHON_USEDEP}]
+       )
+       "
+
+python_prepare_all() {
+       # Prevent un-needed download during build
+       if use doc; then
+               sed -e "/^    'sphinx.ext.intersphinx',/d" -i docs/conf.py || 
die
+       fi
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       distutils_install_for_testing
+       cd "${TEST_DIR}"/lib || die
+       py.test jupyter_core || die
+}
+
+python_install_all() {
+       use doc && HTML_DOCS=( docs/_build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to